<?php

define('CONFIG', include('../config.php'));

class EventHandler {
  public function handle($event, $order, $provider, $settings) {
    if (!isset($event['method'])) {
      sendResponseToInvalidRequest($settings);
      return false;
    }

    switch ($event['method']) {
      case 'check':
        watchdog(CONFIG['title'] . ' Webhooks', 'event CHECK (order#' . $event['order'] . ') has been caught.', null, WATCHDOG_INFO);
        $ps_event = new EventCheck($order, $provider, $settings);
        break;

      case 'pay':
        watchdog(CONFIG['title'] .' Webhooks', 'event PAY (order#' . $event['order'] . ') has been caught.', null, WATCHDOG_INFO);
        $ps_event = new EventPay($order, $provider, $settings);
        break;

      default:
        sendResponseToInvalidRequest($settings);
        return false;
    }

    return $ps_event->handle($event);
  }
}
